Subject: Permadent and Plasticell Foundation

From: [email-masked] (John Caldeira)
Date: Sun, 16 Jun 1996 15:13:46 GMT

Is Mann Lake's Permadent foundation essentially the same thing as
Dadant's Plasticell?  From Mann Lake's description, Permadent appears
similar but is sold at a significantly lower cost ($0.72 vs. $0.94 for
Plasticell, lost of 1000).  Any experience/comparison info is
appreciated!

Thanks,
John in Dallas